API ReferenceDay-ahead Locational Marginal Price (US)
Past Range
get
/v4/locational-marginal-price-day-ahead/past-rangeGet the day-ahead locational marginal price for a pricing node and a given datetime range. Addressed by node, not zone.
The time range is limited to 10 days (240 hours) for an hourly granularity, and to 100 days for a daily granularity.
If you need more data, you can loop over time ranges.
Query Parameters
node required
A pricing node identifier. Required — LMP endpoints are addressed by node rather than zone.
Example: "ROGUE_LNODER1"
start required
The start datetime to get the data for.
Format: ISO 8601 datetime
Example: "2024-05-19T03:00:00Z"
end required
The end datetime to get the data for.
Format: ISO 8601 datetime
Example: "2024-05-19T08:00:00Z"
temporalGranularity optional
The temporal granularity of the data to get.
Default: "hourly"
One of: "hourly"
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v4/locational-marginal-price-day-ahead/past-range?node=ROGUE_LNODER1&start=2024-05-19T03%3A00%3A00Z&end=2024-05-19T08%3A00%3A00Z"{ "entityName": "ROGUE_LNODER1", "entityType": "PNODE", "data": [ { "entityType": "PNODE", "entityName": "ROGUE_LNODER1", "datetime": "2025-12-10T10:00:00.000Z", "createdAt": "2025-12-09T14:41:00.558Z", "updatedAt": "2025-12-09T14:41:00.558Z", "lmp": 40, "unit": "USD/MWh", "congestion": 0, "energy": 42, "loss": -2, "greenhouseGas": 22, "source": "nordpool.com", "temporalGranularity": "hourly" } ], "temporalGranularity": "hourly"}Playground
get
/v4/locational-marginal-price-day-ahead/past-rangeExplore the API with a 14-day trial.